<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.item.user', cohortModel.study.name)}" />
		</ui:define>
		<ui:define name="body">
			<ship:priuserpanel actionAdd="#{cohortController.doAddPrivilege}" actionEdit="#{cohortController.doEditPrivilege}" actionDelete="#{cohortController.doDeletePrivilege}"
				activeElement="#{cohortModel.activePrivilege}" list="#{cohortModel.groupPrivileges}" allGroups="#{cohortModel.allGroups}" allUsers="#{cohortModel.allSquareUsers}"
				newGroup="#{cohortModel.newGroup}" newUser="#{cohortModel.newUsnr}" newAcl="#{cohortModel.newAcl}" renderRead="false" labelWrite="label.accesslevel.study.1"
				labelExecute="label.accesslevel.study.2" facesContext="#{facesContext}" rendered="#{cohortModel.study.canWrite}">
			</ship:priuserpanel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_cancel" action="#{cohortController.toWelcome}" ajax="false" value="#{facesContext.translate('button.overview')}" />
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Steuern Sie hierüber die Rechte von Nutzern / Nutzergruppen an der eingestellten Studie.
		</ui:define>
	</ui:composition>
</h:body>
</html>